#ifndef GH_X86_CPP_FI_H
#define GH_X86_CPP_FI_H

/* intrinsics */
void __DI(void);
void __EI(void);
int __builtin_va_alist;
int __builtin_va_arg_incr(...);
int __va_aargnum(...);
int __va_ansiarg;
int __va_dargnum(...);
int __va_iargnum(...);
int __va_intreg;
int *__va_stkarg;

#else
#error "Multiple include"
#endif  /* ifndef GH_X86_CPP_FI_H */
